abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

včera 22:22 | Komunita

V Norimberku probíhá do neděle 28. května openSUSE Conference 2017. Na programu je celá řada zajímavých přednášek. Sledovat je lze online. K dispozici jsou také videozáznamy (YouTube) již proběhnuvších přednášek. Dění lze sledovat na Twitteru.

Ladislav Hagara | Komentářů: 0
včera 11:33 | IT novinky

Red Hat kupuje společnost Codenvy stojící za stejnojmenným webovým (cloudovým) integrovaným vývojovým prostředím (WIDE) postaveném na Eclipse Che.

Ladislav Hagara | Komentářů: 0
včera 08:55 | Nová verze

V listopadu 2014 byl představen fork Debianu bez systemd pojmenovaný Devuan. Po dva a půl roce jeho vývojáři oznámili vydání první stabilní verze 1.0. Jedná se o verzi s dlouhodobou podporou (LTS) a její kódové jméno je Jessie, podle planetky s katalogovým číslem 10 464.

Ladislav Hagara | Komentářů: 7
25.5. 20:22 | Zajímavý článek

Nadace Raspberry Pi vydala již osmapadesáté číslo (pdf) stostránkového anglicky psaného časopisu MagPi věnovanému Raspberry Pi a projektům postaveným na tomto jednodeskovém počítači a druhé číslo (pdf) časopisu Hello World primárně určeného pro učitele informatiky a výpočetní techniky.

Ladislav Hagara | Komentářů: 0
25.5. 19:55 | Humor

Portál Stack Overflow informuje na svém blogu, že pomohl ukončit editor Vim už více než milionu vývojářů. V loňském roce například hledal odpověď na otázku Jak ukončit editor Vim v průměru 1 z 20 000 návštěvníků.

Ladislav Hagara | Komentářů: 10
25.5. 19:22 | Nová verze

Po pěti měsících od vydání verze 3.5.0 byla vydána nová stabilní verze 3.6.0, tj. první z nové řady 3.6, minimalistické linuxové distribuce zaměřené na bezpečnost Alpine Linux (Wikipedie). Z novinek lze zmínit například podporu dvou nových 64bitových platforem little-endian POWER machines (ppc64le) a IBM z Systems (s390x) nebo nové balíčky Rust 1.17.0, Cargo 0.18.0, GHC 8.0.2 a Julia 0.5.2.

Ladislav Hagara | Komentářů: 0
24.5. 21:33 | Bezpečnostní upozornění

V Sambě byla nalezena a opravena bezpečnostní chyba CVE-2017-7494. Má-li útočník právo ukládat soubory na vzdálený server, může tam uložit připravenou sdílenou knihovnu a přinutit smbd server k jejímu načtení a tím pádem ke spuštění libovolných příkazů. Chyba je opravena v upstream verzích 4.6.4, 4.5.10 a 4.4.14. Chyba se týká všech verzí Samby od verze 3.5.0 vydané 1. března 2010.

Ladislav Hagara | Komentářů: 7
24.5. 20:44 | Nová verze

Byla vydána nová stabilní verze 4.3.0 integrovaného vývojového prostředí (IDE) Qt Creator. Z novinek lze zmínit například integraci editoru kódu do Qt Quick Designeru.

Ladislav Hagara | Komentářů: 1
24.5. 20:11 | Bezpečnostní upozornění

Společnost Check Point informuje na svém blogu o novém vektoru útoku. Pomocí titulků lze útočit na multimediální přehrávače VLC, Kodi, Popcorn Time, Stremio a pravděpodobně i další. Otevření útočníkem připraveného souboru s titulky v neaktualizovaném multimediálním přehrávači může vést ke spuštění libovolných příkazů pod právy uživatele. Ukázka na YouTube. Chyba je opravena v Kodi 17.2 nebo ve VLC 2.2.6.

Ladislav Hagara | Komentářů: 11
23.5. 15:18 | Zajímavý software

CrossOver, komerční produkt založený na Wine, je dnes (23. 5. 2017) dostupný ve slevě. Roční předplatné linuxové verze vyjde s kódem TWENTYONE na $21, resp. $1 v případě IP z chudších zemí. Firma CodeWeavers, která CrossOver vyvíjí, významně přispívá do Wine. Přidaná hodnota CrossOver spočívá v přívětivějším uživatelském rozhraní, integraci do desktopu a podpoře.

Fluttershy, yay! | Komentářů: 27
Chystáte se pořídit CPU AMD Ryzen?
 (6%)
 (32%)
 (1%)
 (8%)
 (44%)
 (9%)
Celkem 622 hlasů
 Komentářů: 62, poslední 19.5. 01:57
    Rozcestník

    Dotaz: instalace nvidia driveru pro kernel 2.4 a 2.6 soucasne?

    26.6.2004 12:17 Gonzo
    instalace nvidia driveru pro kernel 2.4 a 2.6 soucasne?
    Přečteno: 121×
    takze mam kernel 2.6.7 pod kterym mi nejede modem (je pod kernel 2.4.*) Tak sem to chtel vyresit nainstalovanim kernelu 2.4.24, pod kterym bych internetil. Jenze mam problem.
    Kernel zkompilovany, vse v pohode, ale nejedou X. Problem je v tom konfiguraku xorg.conf (mozna si pletu nazev). Mam tam totiz nasteveny driver od NVIDIE (ten na 3d akceleraci - ne ten defaultni), ktery v pohode funguje v kernelu 2.6.7. Takze sem myslel, ze v 2.4.24 se to vyresi opetovnou instalaci. Ta hned ze zacatku zarve, ze driver uz je nainstalovany a ze ho musi nejdriv odstranit. Pak se nainstaluje a tvari se, jako ze vse probehlo ok. Po rebootu X nenajedou a hlasi chybu "no screens found". Co je horsi, X nejedou uz ani pod 2.6.7 a opetovna instalace nvidia driveru pod timto kernelem nefunguje (hlasi neco jako "no module found"). (Resil sem to novym zkompilovanim jadra).
    Takze dotaz - jak instalovat a pouzivat nvidia driver pod obema kernelama?

    Odpovědi

    26.6.2004 13:44 Petr Šobáň | skóre: 79 | blog: soban | Olomouc
    Rozbalit Rozbalit vše Re: instalace nvidia driveru pro kernel 2.4 a 2.6 soucasne?
    To jaksi nejde :-)

    Nebo jde ovšem nainstalovat pod tím jedním kernelem - potom zazálohovat všechny jeho soubory - někam uložit a nainstalovat pod druhým kernelem - zase zazalohovat ty všechny soubory.

    No a potom před startem x ek podle toho jaký máme kernel tam vrazit příslušné soubory. :-)
    26.6.2004 14:59 Jarosla Šeděnka
    Rozbalit Rozbalit vše Re: instalace nvidia driveru pro kernel 2.4 a 2.6 soucasne?
    to není pravda, zkoušel jste v instalátoru volby -e a -K?
    12.9.2004 15:24 Begleiter | skóre: 47 | blog: muj_blog | Doma
    Rozbalit Rozbalit vše Re: instalace nvidia driveru pro kernel 2.4 a 2.6 soucasne?

    Přesně. Volba --kernel-module-only (-K) programu nvidia-installer je na to přímo dělaná. Cituji z nápovědy k nvidia-installer:

    -K, --kernel-module-only
     Install a kernel module only, and don't uninstall the
     existing driver. This is intended to be used to install 
    kernel modules for additional kernels (in cases where you
     might boot between several different kernels). To use this
     option, you must already have a driver installed, and the
     version of the installed driver must match the version of
     this kernel module.
    
    12.9.2004 17:16 jm
    Rozbalit Rozbalit vše Re: instalace nvidia driveru pro kernel 2.4 a 2.6 soucasne?
    Hmm, ta volba je celkem na prd, pokud nekdo pouziva Xka.
    9.9.2004 09:45 Petr Kos | skóre: 10 | Valašské Meziříčí
    Rozbalit Rozbalit vše Re: instalace nvidia driveru pro kernel 2.4 a 2.6 soucasne?
    Nedavno jsem to taky resil a osvedcil se mi takovyto postup:

    Nainstalovat a rozchodit s bootnutym prvnim jadrem (nazveme ho "kernel_1").

    Schovat si soubory:
    /lib/modules/"kernel_1"/kernel/drivers/video/nvidia.ko (s 2.4 jadrem to asi bude nvidia.o)
    a konfigurak X-ek (u mne v XFree se jmenuje "/etc/X11/XF86Config-4", v X.org ma urcite jiny nazev).

    Bootnout druhy kernel ("kernel_2")

    Znova nainstalovat a rozchodit (bude chtit odstranit puvodni instalaci, klidne mu to dovolime). Pri tom se mozna bude hodit schovany X konfigurak - nvidia instalator ho nekdy nahradi nesmyslama, viz poznamka nize.

    Potom vratime na puvodni misto (kernel_1 !) schovany nvidia.ko a uzivame si "Barevne obrazky - radost deti" s obema jadry.

    Pozn. Pokud se nvidia instalator tvari, ze probehl uspesne a nefunguje to, je vhodne zkontrolovat jestli je zavedeny jaderny modul "nvidia" (pomoci lsmod) a co je v konfiguraku pro X, melo by tam byt neco takoveho:

    Section "Module"
    ...
        Load "/usr/X11R6/lib/modules/extensions/libglx.so"
    ...
    EndSection
    ...
    Section "Device"
        Identifier "device1"
        VendorName "nVidia Corporation"
        BoardName "NVIDIA GeForce4 (generic)"
        Driver "nvidia"
        Option "DPMS"
    EndSection
    ...
    Section "Screen"
    ...    
        Device "device1"
    ...
    EndSection
    
    9.9.2004 22:29 MartinS | skóre: 13 | blog: F | Troubky
    Rozbalit Rozbalit vše Re: instalace nvidia driveru pro kernel 2.4 a 2.6 soucasne?
    Tak jsem to zdarne vyresil. Tento postup mne pripadal schudnej, ale napred jsem trochu googloval a zkousel a nakonec instalace prosla s parametrem -K:

    sh NVIDIA-Linux-x86-1.0-6111-pkg1.run -K

    Diky vsem ;-)
    --oldpackage
    8.9.2004 18:58 MartinS
    Rozbalit Rozbalit vše Re: instalace nvidia driveru pro kernel 2.4 a 2.6 soucasne?
    No ja se s dovolenim pripojim s podobnym problemem. V ReadMe dokumentaci s driveru nVidia a treba taky v poslednim cisle Linux+ je tato situace popsana. Ovladace se nainstaluji vzdycky pouze pro bezici jadro, takze abysme nemuseli prebootovat do jineho jadra a znovu instalovat, staci pro instalaci pro nebezici jadro spustit instalator s volbou --kernel-name ve tvaru

    sh NVIDIA-Linux-x86-1.0-xxxx-pkg1.run --kernel-name='KERNEL_NAME'

    kde KERNEL_NAME je 'uname -r' onoho nebeziciho jadra kam ma byt nainstalovan ovladac.

    Vcelku jednoduche, jenze to nefunguje. Instalator oznami,ze driver je uz nainstalovany a nejdriv ho musi odstranit. Stejne se chova pri instalaci pri behu aktualniho jadra. Vysledek je ten, ze pri nabootovani toho "druheho" jadra nenastartuji X-ka.

    Snad jsem to popsal ne moc zmatene. Mozna delam nejakou hloupou chybu, jsem vecny zacatecnik.

    Za kazdou radu dik !!!
    8.9.2004 19:07 Libor Klepac | skóre: 45 | Mýto
    Rozbalit Rozbalit vše Re: instalace nvidia driveru pro kernel 2.4 a 2.6 soucasne?
    mno, dokud jsem nezjistil , ze jsou na to v debianu balicky, tak jsem instalator proste jenom nechal rozbalit ty veci a pak jsem pustil make v tom adresari co vzniknul (ale nejdriv sem se pohrabal v Makefile, aby to instalovalo jenom ty knihovny) ...a potom jsem pustil make v adresari, kam se rozbalily zdrojaky toho modulu ....to je cele, myslim, ze tam byl i parametr, v jakem adresari ma hledat nakonfigurovane zdrojaky jadra
    Urine should only be green if you're Mr. Spock.
    8.9.2004 20:43 MartinS
    Rozbalit Rozbalit vše Re: instalace nvidia driveru pro kernel 2.4 a 2.6 soucasne?
    Dik...jen mam pocit ze to na me bude prilis slozity :-(

    Stejne me ale prekvapuje, ze nefunguji ty tutorialy.

    Jen doplnim: distro FC2, jadra 2.6.5-x a 2.6.7-x
    8.9.2004 20:46 Libor Klepac | skóre: 45 | Mýto
    Rozbalit Rozbalit vše Re: instalace nvidia driveru pro kernel 2.4 a 2.6 soucasne?
    no jde o to, ze ten driver je ze dvou casti ....knihovny a neco neco do xwindows ...to je vzdy spolecne ...a modul pro to urcite jadro...ten je pro kazde jadro kompilovan znovu a je ulozen v adresari s moduly toho konkretniho jadra ....no a ten instalator se zrejme kouka jenom po tom, jestli jsou nainstalovane ty knihovny ....takze budto si ten instalator jenom rozablit a pak zmenit ten makefile (myslim ze jsem u cile install: umazal zavislost na to souboru jadra) ....nebo se podivat jestli tam neni nejaky parametr force nebo overwrite
    Urine should only be green if you're Mr. Spock.
    9.9.2004 20:26 romano | skóre: 4 | Janovce
    Rozbalit Rozbalit vše Re: instalace nvidia driveru pro kernel 2.4 a 2.6 soucasne?
    Pri upgrade jadra z 2.6.7 na 2.6.8 na mojom Gentoo som postupoval nasledovne:

    Boot s kernelom 2.6.7, nainstalovanie zdrojakov 2.6.8

    Zrusil som link /usr/src/linux,ktory ukazoval na /usr/src/linux-2.6.7 a vytvoril som novy na /usr/src/linux-2.6.8

    #rm /usr/src/linux

    #ln -s /usr/src/linux-2.6.8 /usr/src/linux

    skompiloval som jadro a moduly pre 2.6.8, tym sa mi vytvoril aj adresar /lib/modules/2.6.8 s modulmi pre nove jadro

    #cd /usr/src/linux

    #make menuconfig

    #make && make modules_install

    nakoniec som nainstaloval driver nvidia

    #emerge nvidia-kernel

    pocas kompilacie som sledoval vypisy a modul nvidia.ko sa ulozil ako som predpokladal do adresara /lib/modules/2.6.8/video

    vyzera to tak, ze verzia jadra pri kompilacii driveru nvidia sa urci z linky kam ukazuje /usr/src/linux

    Potom nasledovalo prekopirovanie potrebnych suborov do /boot , editacia /etc/lilo.conf a boot s novym jadrom a ovladacom nvidia.
    9.9.2004 20:53 Libor Klepac | skóre: 45 | Mýto
    Rozbalit Rozbalit vše Re: instalace nvidia driveru pro kernel 2.4 a 2.6 soucasne?
    ne ...urci si to z `uname -r` (cesta /lib/modules/`uname -r`/build ...kde build je link na adresar, ve kterem byl kompilovano jadro) ...pripadne z promenne SYSSRC
    Urine should only be green if you're Mr. Spock.
    9.9.2004 22:05 romano | skóre: 4 | Janovce
    Rozbalit Rozbalit vše Re: instalace nvidia driveru pro kernel 2.4 a 2.6 soucasne?
    Kedze mam este zdrojaky spomenutych verzii jadier, tak som to vyskusal aby som tu nesiril bludy.

    Nabootovane s jadrom 2.6.8-gentoo-r3

    i120 root # uname -r

    2.6.8-gentoo-r3

    i120 root # ls -la /usr/src/linux

    lrwxr-xr-x 1 root root 32 Sep 9 21:26 /usr/src/linux -> /usr/src/linux-2.6.7-gentoo-r14/

    i120 root # emerge nvidia-kernel

    Calculating dependencies ...done!

    >>> emerge (1 of 1) media-video/nvidia-kernel-1.0.6111 to /

    x86

    >>> md5 src_uri ;-) NVIDIA-Linux-x86-1.0-6111-pkg1.run

    x86

    x86

    >>> Unpacking source...

    * /usr/src/linux is a symbolic link

    * Determining the real directory of the Linux kernel source code

    * Building for Linux 2.6.7-gentoo-r14 found in /usr/src/linux

    * which outputs to /usr/src/linux

    Creating directory NVIDIA-Linux-x86-1.0-6111-pkg1

    Verifying archive integrity... OK

    Uncompressing NVIDIA Accelerated Graphics Driver for Linux-x86 1.0-6111..

    Takze pre Gentoo to plati tak ako som to popisal vyssie.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.